Subject: bug#30807: Tramp tests take waaayyy too long and refuse to exit

From: Glenn Morris <[email-masked]>
Date: Fri, 10 Aug 2018 18:56:43 -0400

Michael Albinus wrote:

> Done. Could you, pls, check?

Works for me, thanks.

Running 8 tests (2018-08-10 11:41:04-0700, selector `(not (or (tag :expensive-te st) (tag :unstable)))')
   passed  1/8  tramp-archive-test00-availability (0.000178 sec)
   passed  2/8  tramp-archive-test01-file-name-syntax (0.000153 sec)
   passed  3/8  tramp-archive-test02-file-name-dissect (0.584458 sec)
   passed  4/8  tramp-archive-test05-expand-file-name (0.000156 sec)
   passed  5/8 tramp-archive-test05-expand-file-name-non-archive-directory (0.0 00284 sec)
   passed  6/8  tramp-archive-test06-directory-file-name (0.000503 sec)
   passed  7/8  tramp-archive-test38-make-nearby-temp-file (0.004607
   sec)
   passed  8/8  tramp-archive-test41-file-system-info (0.000852 sec)

Ran 8 tests, 8 results as expected (2018-08-10 11:41:04-0700, 0.591774
sec)